TSV format export in WDQS GUI does not match the spec
Closed, ResolvedPublic1 Story Points

Description

TSV export does not conform to http://www.w3.org/TR/sparql11-results-csv-tsv/#tsv. Try for instance SELECT * WHERE { wd:Q1 ?p ?o } LIMIT 4. Expected output:

?p	?o
<http://schema.org/version>	"255220663"
<http://schema.org/dateModified>	"2015-10-06T19:45:26Z"
<http://schema.org/description>	"al die planete, sterre, sterrestelsels en intergalaktiese ruimtes, asook alle energie en materie"@af
<http://schema.org/description>	"\u0645\u0631\u062C\u0639"@ar

instead of

p	o
http://schema.org/version	255220663
http://schema.org/dateModified	2015-10-06T19:45:26Z
http://schema.org/description	al die planete, sterre, sterrestelsels en intergalaktiese ruimtes, asook alle energie en materie
http://schema.org/description	مرجع
Smalyshev created this task.Oct 7 2015, 7:31 PM
Smalyshev updated the task description. (Show Details)
Smalyshev raised the priority of this task from to Normal.
Smalyshev claimed this task.
Smalyshev added a subscriber: Smalyshev.
Restricted Application added a project: Wikidata. · View Herald TranscriptOct 7 2015, 7:31 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Lydia_Pintscher moved this task from incoming to monitoring on the Wikidata board.Oct 8 2015, 11:44 AM
Smalyshev edited a custom field.Oct 8 2015, 5:04 PM
Smalyshev moved this task from Needs triage to WDQS on the Discovery board.Oct 8 2015, 5:09 PM
Deskana added a subscriber: Deskana.Oct 8 2015, 5:14 PM

@nichtich We're assessing the priority of this task. @Smalyshev said that this task was based on another you filed. Could you expand on whether this task is simply a quality of life improvement, or whether it's blocking you from using the service? Thank you!

This does not block me from using the service, as my client can produce valid SPARQL TSV output from SPARQL JSON output. It's a nasty violation of of SPARQL specification.

Change 245626 had a related patch set uploaded (by Smalyshev):
Fix TSV format export

https://gerrit.wikimedia.org/r/245626

Change 245626 merged by jenkins-bot:
Fix TSV format export

https://gerrit.wikimedia.org/r/245626

Smalyshev closed this task as Resolved.Oct 13 2015, 5:26 AM